Bug 1663021 - Error when uploading a manifest file on the disconnected Satellite Server
Summary: Error when uploading a manifest file on the disconnected Satellite Server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-02 18:04 UTC by Anand Jambhulkar
Modified: 2019-10-10 09:56 UTC (History)
20 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684706 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:54 UTC
Foreman Issue Tracker 25834 None None None 2019-01-10 20:01:29 UTC
Red Hat Knowledge Base (Solution) 3829901 None None None 2019-01-25 07:32:25 UTC

Description Anand Jambhulkar 2019-01-02 18:04:42 UTC
Description of problem:

Error while uploading the manifest file to the disconnected Satellite Server using the hammer command.


Version-Release number of selected component (if applicable):

	Satellite Server 6.4.1


How reproducible:

	Always


Steps to Reproduce:

1. Upload the manifest file via hammer command.


Actual results:  Error -

Error: Validation failed: Environments expecting environments used by hosts or inherited (check mismatches report)., Domains expecting domains used by hosts or inherited (check mismatches report)., Media expecting media used by hosts or inherited (check mismatches report)., Compute resources expecting compute resources used by hosts or inherited (check mismatches report)., ApplicationRecord|Capsules expecting capsules used by hosts or inherited (check mismatches report)., Ptables expecting ptables used by hosts or inherited (check mismatches report).


Expected results:

	Manifest upload successful


Additional info:

Please refer the following BZ - https://bugzilla.redhat.com/show_bug.cgi?id=1582221. This bugzilla shows to be in a POST state, however, an errata has been release for it.

Talked to beav, who advised to open a new BZ and provide the reference to the above BZ.

Comment 4 John Mitsch 2019-01-10 20:01:29 UTC
Created redmine issue https://projects.theforeman.org/issues/25834 from this bug

Comment 5 Bryan Kearney 2019-01-11 13:41:13 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 6 Bryan Kearney 2019-01-11 13:41:16 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 7 Brad Buckingham 2019-01-11 19:13:09 UTC
PR merged upstream; therefore, moving to POST.

Comment 12 jcallaha 2019-01-18 21:13:45 UTC
Verified in Satelite 6.5.0 Snap 11

After putting the satellite in disconnected mode (Aminister -> Settings), the upload via hammer completed successfully.

-bash-4.2# hammer subscription upload --file good-manifest.zip --organization-id 1
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary1fpHWwABtAU8GZxU" due to payload
[...............................................................................................................................................] [100%]
-bash-4.2#

Comment 19 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 24 errata-xmlrpc 2019-05-14 12:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.